Upstream information

CVE-2023-43641 at MITRE

Description

libcue provides an API for parsing and extracting data from CUE sheets. Versions 2.2.1 and prior are vulnerable to out-of-bounds array access. A user of the GNOME desktop environment can be exploited by downloading a cue sheet from a malicious webpage. Because the file is saved to `~/Downloads`, it is then automatically scanned by tracker-miners. And because it has a .cue filename extension, tracker-miners use libcue to parse the file. The file exploits the vulnerability in libcue to gain code execution. This issue is patched in version 2.3.0.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1215728 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-Storage-7.1-2023-4090
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • libcue-devel >= 2.1.0-150000.3.3.1
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4090
SUSE-SLE-Product-WE-15-SP4-2023-4090
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libcue-devel >= 2.1.0-150000.3.3.1
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP5-2023-4090
SUSE-SLE-Product-WE-15-SP5-2023-4090
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4090
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4090
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4090
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4090
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Desktop Applications 15 SP5
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP5-2023-4090
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4090
SUSE Linux Enterprise Server 15 SP3-LTSS
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4090
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4090
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4090
SUSE Linux Enterprise Workstation Extension 15 SP4
  • libcue-devel >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP4-2023-4090
SUSE Linux Enterprise Workstation Extension 15 SP5
  • libcue-devel >= 2.1.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP5-2023-4090
openSUSE Leap 15.4
  • libcue-devel >= 2.1.0-150000.3.3.1
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.4-2023-4090
openSUSE Leap 15.5
  • libcue-devel >= 2.1.0-150000.3.3.1
  • libcue2 >= 2.1.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.5-2023-4090
openSUSE Tumbleweed
  • libcue-devel >= 2.3.0-1.1
  • libcue2 >= 2.3.0-1.1
Patchnames:
openSUSE Tumbleweed GA libcue-devel-2.3.0-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libcue Released
SUSE Linux Enterprise Desktop 15 SP5 libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP5 libcue Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 libcue Released
SUSE Linux Enterprise Real Time 15 SP3 libcue Affected
SUSE Linux Enterprise Server 12 SP5 libcue Not affected
SUSE Linux Enterprise Server 15 SP5 libcue Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libcue Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libcue Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libcue Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 libcue Not affected
SUSE Linux Enterprise Workstation Extension 15 SP5 libcue Released
SUSE Manager Proxy 4.3 libcue Released
SUSE Manager Retail Branch Server 4.3 libcue Released
SUSE Manager Server 4.3 libcue Released
openSUSE Leap 15.5 libcue Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libcue Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libcue Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libcue Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libcue Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libcue Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libcue Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libcue Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libcue Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libcue Released
SUSE Linux Enterprise Server 15 SP2 libcue Affected
SUSE Linux Enterprise Server 15 SP2-LTSS libcue Released
SUSE Linux Enterprise Server 15 SP3 libcue Affected
SUSE Linux Enterprise Server 15 SP3-LTSS libcue Released
SUSE Linux Enterprise Server 15 SP4 libcue Released
SUSE Linux Enterprise Server 15 SP4-LTSS libcue Affected
SUSE Linux Enterprise Server for SAP Applications 15 libcue Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libcue Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libcue Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libcue Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 libcue Affected
SUSE Linux Enterprise Desktop 12 libcue Not affected
SUSE Linux Enterprise Desktop 12 SP1 libcue Not affected
SUSE Linux Enterprise Desktop 12 SP2 libcue Not affected
SUSE Linux Enterprise Desktop 12 SP3 libcue Not affected
SUSE Linux Enterprise Desktop 12 SP4 libcue Not affected
SUSE Linux Enterprise Desktop 15 libcue Affected
SUSE Linux Enterprise Desktop 15 SP1 libcue Affected
SUSE Linux Enterprise Desktop 15 SP2 libcue Affected
SUSE Linux Enterprise Desktop 15 SP3 libcue Affected
SUSE Linux Enterprise Real Time 15 SP2 libcue Affected
SUSE Linux Enterprise Real Time 15 SP4 libcue Affected
SUSE Linux Enterprise Server 12 libcue Not affected
SUSE Linux Enterprise Server 12 SP1 libcue Not affected
SUSE Linux Enterprise Server 12 SP2 libcue Not affected
SUSE Linux Enterprise Server 12 SP3 libcue Not affected
SUSE Linux Enterprise Server 12 SP4 libcue Not affected
SUSE Linux Enterprise Server 15 libcue Affected
SUSE Linux Enterprise Server 15 SP1 libcue Affected
SUSE Linux Enterprise Server 15 SP2-BCL libcue Affected
SUSE Linux Enterprise Server 15 SP3-BCL libcue Affected
SUSE Linux Enterprise Server for SAP Applications 12 libcue Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libcue Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libcue Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libcue Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libcue Not affected
SUSE Linux Enterprise Software Development Kit 12 libcue Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libcue Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libcue Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libcue Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 libcue Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 libcue Not affected
SUSE Linux Enterprise Workstation Extension 15 libcue Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 libcue Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 libcue Affected
SUSE Linux Enterprise Workstation Extension 15 SP3 libcue Affected
SUSE Linux Enterprise Workstation Extension 15 SP4 libcue Released
SUSE Manager Proxy 4.1 libcue Affected
SUSE Manager Proxy 4.2 libcue Affected
SUSE Manager Retail Branch Server 4.1 libcue Affected
SUSE Manager Retail Branch Server 4.2 libcue Affected
SUSE Manager Server 4.1 libcue Affected
SUSE Manager Server 4.2 libcue Affected
openSUSE Leap 15.4 libcue Released


SUSE Timeline for this CVE

CVE page created: Tue Sep 26 16:15:16 2023
CVE page last modified: Thu Feb 22 17:24:27 2024